Subject: bug#12184: GNU Automake 1.12.2 - 4 tests FAIL on Solaris 10 Sparc

From: Stefano Lattarini <[email-masked]>
Date: Mon, 13 Aug 2012 10:06:36 +0200

On 08/13/2012 01:59 AM, Dennis Clarke wrote:
> 
>> My guess is that your grep (in /usr/local/bin/ggrep ) is busted.  
>> First clue:
> 
> By the way, I did have one test with GNU grep fail and yes,
> I did file a report.  The reply was not helpful :
> 
> From  	Jim Meyering <some email address> 
> Sent  	Sunday, August 12, 2012 10:39 pm
> To  	Dennis Clarke <[email-masked]> 
> Cc  	[email-masked] 
> Subject Re: grep-2.13 FAIL:  1
> 
> Dennis Clarke wrote:
>> On Solaris 10 update 10 on Sparc with Sun Studio 12 tools.
>>
>> $ env | sort
>> AS=/usr/ccs/bin/as
>> CC=/opt/SUNWspro/bin/cc
>> CFLAGS=-erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xc -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -xtarget=ultraT2 -xcache=8/16/4:4096/64/16 -D_TS_ERRNO -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE
>> COLUMNS=124
>> CONFIG_SHELL=/bin/bash
>> CPPFLAGS=-I/usr/local/include -I/usr/local/include/readline
>> CXX=/opt/SUNWspro/bin/CC
>> CXXFLAGS=-erroff -xildoff -m64 -xmemalign=8s -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -xunroll=1 -xtarget=ultraT2 -xcache=8/16/4:4096/64/16 -R/usr/local/lib -L/usr/local/lib -D_TS_ERRNO -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE
> ...
>> sjis-mb: skipped test: your system lacks the timeout program
>> SKIP: sjis-mb
>> PASS: spencer1
>> FAIL: spencer1-locale
>> PASS: status
> ...
>> # TOTAL: 57
>> # PASS:  44
>> # SKIP:  9
>> # XFAIL: 3
>> # FAIL:  1
>> # XPASS: 0
>> # ERROR: 0
> 
> Thanks for the report.
> On the sole Solaris 10 system to which I have access,
> all of grep's tests pass when built with gcc-4.5.0
> and the Sun Studio 12 tools appear not to be available here.
> 
> I suggest you try building with a recent version of gcc.
> 
> If you really must use that other compiler, consider
> instrumenting the failing test to make it report the
> precise grep command that is failing.  If you do, please
> report that, along with the actual/expected output.
>
How is this not helpful?  It suggested a possible way out from
your problem (use GCC), or, failing that, instructions to give
the developers what they need to start investigating the problem.

> -------------------------------------------------------------
> 
> Essentially, we are Linux, we don't do UNIX, go make UNIX
> like Linux.
>
Actually, most the GNU tools (among them grep) strive to be
greatly portable, sometimes even too much IMHO.

The issue is that the developers' time is limited, and if they
don't have a Solaris machine with a Sun compiler to test with,
well, they won't lose their time fighting to get one.  If Oracle
is interested in having their systems supported better, it's on
them to offer easy access to Solaris and the Sun C compiler to
Free Software and Open Source developers; if they don't, their
system will get a "best effort" support at most.  I see this as
right and proper, and sometimes even too generous.  And if a
user of a fringe/uncommon/proprietary systems is interested in
making things work for himself, it's on him to provide the
developers with enough help or feedback to make that possible;
this too seems appropriate to me.

Regards,
  Stefano